aboutsummaryrefslogtreecommitdiff
path: root/PbSe_global_analysis/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'PbSe_global_analysis/run.sh')
-rwxr-xr-xPbSe_global_analysis/run.sh75
1 files changed, 75 insertions, 0 deletions
diff --git a/PbSe_global_analysis/run.sh b/PbSe_global_analysis/run.sh
new file mode 100755
index 0000000..a38e6ff
--- /dev/null
+++ b/PbSe_global_analysis/run.sh
@@ -0,0 +1,75 @@
+set -e # force exit upon error
+
+function printColor {
+ YELLOW='\033[0;33m'
+ NC='\033[0m' # No Color
+ printf "${YELLOW}$*${NC}\n"
+}
+
+function printLine {
+ printColor "%`tput cols`s"|tr ' ' '#'
+}
+
+function printThenPython {
+ printColor "python $*"
+ python "$*"
+}
+
+if [[ $# -eq 0 ]] ; then
+ echo 'please provide an argument in [data, simulations, figures, documents, all]'
+ exit 1
+fi
+
+# process data
+if [[ "$1" = "all" ]] || [[ "$1" = "data" ]] ; then
+ printLine
+ printColor data
+ printThenPython "data/TA A.py"
+ printThenPython "data/TA B.py"
+ printThenPython "data/TG A.py"
+ printThenPython "data/TG B.py"
+fi
+
+# run simulations
+if [[ "$1" = "all" ]] || [[ "$1" = "simulations" ]] ; then
+ printLine
+ printColor simulations
+ #printThenPython "simulations/fit fsb19.py"
+ #printThenPython "simulations/fit fsb25.py"
+fi
+
+# make figures
+if [[ "$1" = "all" ]] || [[ "$1" = "figures" ]] ; then
+ printLine
+ printColor figures
+ printThenPython "figures/absorbance.py"
+ printThenPython "figures/kramers_kronig.py"
+ printThenPython "figures/m_factors.py"
+ #printThenPython "figures/movies_fitted.py"
+ printThenPython "figures/movies_combined.py"
+ printThenPython "figures/power_factors.py"
+ #printThenPython "figures/driven_initial.py"
+ printThenPython "figures/TA_artifacts.py"
+ printThenPython "figures/TG_artifacts.py"
+ printThenPython "figures/ta_vs_tg.py"
+fi
+
+# render documents
+if [[ "$1" = "all" ]] || [[ "$1" = "documents" ]] ; then
+ printLine
+ printColor documents
+ # main
+ printColor main
+ pdflatex --interaction=nonstopmode main
+ bibtex main
+ pdflatex --interaction=nonstopmode main
+ pdflatex --interaction=nonstopmode main
+ # SI
+ printColor SI
+ pdflatex --interaction=nonstopmode SI
+ biber SI
+ pdflatex --interaction=nonstopmode SI
+ pdflatex --interaction=nonstopmode SI
+fi
+
+printColor finished